### Hierarchy

- Shortcut

### Implements

- ShortcutJS

## Index

### Constructors

- constructor

### Properties

- actions
- eventProcessor
- initialized
- options

### Methods

- addAction
- cleanCombo
- init
- loadFromJson
- processEvent
- reset
- subscribe
- unsubscribe

## Constructors

### constructor

- new Shortcut(): Shortcut

- - Defined in shortcut.ts:43

  #### Returns Shortcut

## Properties

### actions

actions: Map<string, Action>

Implementation of ShortcutJS.actions

- Defined in shortcut.ts:40

### eventProcessor

eventProcessor: EventProcessor

Implementation of ShortcutJS.eventProcessor

- Defined in shortcut.ts:42

### initialized

initialized: boolean

- Defined in shortcut.ts:43

### options

options: Options

Implementation of ShortcutJS.options

- Defined in shortcut.ts:41

## Methods

### addAction

- addAction(action: Action): void

- Implementation of ShortcutJS.addAction

  - Defined in shortcut.ts:76

  #### Parameters

  - ##### action: Action

  #### Returns void

### cleanCombo

- cleanCombo(): void

- Implementation of ShortcutJS.cleanCombo

  - Defined in shortcut.ts:106

  #### Returns void

### init

- init(options?: IOptions): void

- Implementation of ShortcutJS.init

  - Defined in shortcut.ts:51

  #### Parameters

  - ##### Default value options: IOptions = null

  #### Returns void

### loadFromJson

- loadFromJson(json: any, options?: IOptions): void

- Implementation of ShortcutJS.loadFromJson

  - Defined in shortcut.ts:71

  #### Parameters

  - ##### json: any

  - ##### Default value options: IOptions = null

  #### Returns void

### processEvent

- processEvent(ev: KeyboardEvent): void

- Implementation of ShortcutJS.processEvent

  - Defined in shortcut.ts:102

  #### Parameters

  - ##### ev: KeyboardEvent

  #### Returns void

### reset

- reset(): void

- Implementation of ShortcutJS.reset

  - Defined in shortcut.ts:62

  #### Returns void

### subscribe

- subscribe(actionName: string, cb: Function): void

- Implementation of ShortcutJS.subscribe

  - Defined in shortcut.ts:84

  #### Parameters

  - ##### actionName: string

  - ##### cb: Function

  #### Returns void

### unsubscribe

- unsubscribe(actionName: string, cb?: Function): void

- Implementation of ShortcutJS.unsubscribe

  - Defined in shortcut.ts:93

  #### Parameters

  - ##### actionName: string

  - ##### Default value cb: Function = null

  #### Returns void

Generated using TypeDoc